Bug 616187 - vmware device emulation enabled but not supported
Summary: vmware device emulation enabled but not supported
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: beta
: 6.1
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 677712
Blocks: 580953
TreeView+ depends on / blocked
 
Reported: 2010-07-19 19:44 UTC by Eduardo Habkost
Modified: 2013-01-09 22:53 UTC (History)
11 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.145.el6
Doc Type: Bug Fix
Doc Text:
The qemu-kvm options to enable VMware device emulation (that were not functional and supported) are not available anymore.
Story Points: ---
Clone Of:
: 677712 (view as bug list)
Environment:
Last Closed: 2011-05-19 11:32:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vmware device works correctly (171.77 KB, image/png)
2011-01-18 05:22 UTC, Chao Yang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0534 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2011-05-19 11:20:36 UTC

Description Eduardo Habkost 2010-07-19 19:44:17 UTC
Description of problem:
On RHEL5 we used the --disable-vmware option to disable th VMWare device emulation on qemu-kvm. On RHEL6 this feature is enabled at build time (as the patch to make it optional was not included upstream), but it is not a supported feature.


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.96.el6

Comment 1 RHEL Product and Program Management 2010-07-19 19:58:07 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 4 Denise Dumas 2010-09-10 20:04:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
"Although there are qemu-kvm options to enable VMWare device emulation,
this feature is neither supported nor functional."

Comment 6 Ryan Lerch 2010-10-19 03:23:06 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1 @@
-"Although there are qemu-kvm options to enable VMWare device emulation,
+The qemu-kvm options to enable VMware device emulation are not functional or supported in Red Hat Enterprise Linux 6.-this feature is neither supported nor functional."

Comment 9 Chao Yang 2011-01-18 05:22:36 UTC
Created attachment 473971 [details]
vmware device works correctly

Comment 10 Eduardo Habkost 2011-01-31 20:03:15 UTC
The code to disable the vmware devices is not present upstream, so we need to include it upstream first, before adding --disable-vmware to our code. Setting Conditional NAK: Upstream.

Comment 15 Eduardo Habkost 2011-02-15 16:23:29 UTC
Disabling the devices will break migration from older versions (thanks Paolo Bonzini for spotting that). bug #677712 was open for the issue.

Comment 17 YangFeng 2011-03-04 05:29:16 UTC
Patches have been applied and work well.
So this bug have been verified.

Comment 18 Eduardo Habkost 2011-05-05 17:36:16 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The qemu-kvm options to enable VMware device emulation are not functional or supported in Red Hat Enterprise Linux 6.+The qemu-kvm options to enable VMware device emulation (that were not functional and supported) are not available anymore.

Comment 19 errata-xmlrpc 2011-05-19 11:32:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Comment 20 errata-xmlrpc 2011-05-19 12:46:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html


Note You need to log in before you can comment on or make changes to this bug.